summaryrefslogtreecommitdiff
path: root/make-all
diff options
context:
space:
mode:
authorDamien Zammit <damien@zamaudio.com>2018-02-24 18:19:26 +1100
committerDamien Zammit <damien@zamaudio.com>2018-02-24 18:19:26 +1100
commit68b2969ce1d3258c98706d86f8b100cdf777dbd9 (patch)
tree9eef016db7ee747339aa5584702ef90a62782944 /make-all
parentd3f15842edd1946d40a75742582fdcf2ab3066d1 (diff)
Cross compiling: Add build scripts for OSX/WIN/GNU using docker
Diffstat (limited to 'make-all')
-rwxr-xr-xmake-all5
1 files changed, 5 insertions, 0 deletions
diff --git a/make-all b/make-all
new file mode 100755
index 0000000..3772be0
--- /dev/null
+++ b/make-all
@@ -0,0 +1,5 @@
+#!/bin/bash
+set -e
+
+docker build . -t zam-plugins-build:latest
+docker run -v `pwd`:/tmp/build --entrypoint "/bin/bash" zam-plugins-build:latest -c "cd /tmp/build; bash docker-script"